clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::tidy::readability::ElseAfterReturnCheck Class Reference

Flags the usages of `else` after `return`. More...

`#include <ElseAfterReturnCheck.h>`

Inheritance diagram for clang::tidy::readability::ElseAfterReturnCheck:
[legend]
Collaboration diagram for clang::tidy::readability::ElseAfterReturnCheck:
[legend]

## Public Member Functions
| ElseAfterReturnCheck (StringRef Name, ClangTidyContext *Context)
void | registerMatchers (ast_matchers::MatchFinder *Finder) override
| Override this to register ASTMatchers with `Finder`. More...
void | check (const ast_matchers::MatchFinder::MatchResult &Result) override
| `ClangTidyChecks` that register ASTMatchers should do the actual work in here. More...
Public Member Functions inherited from clang::tidy::ClangTidyCheck
| ClangTidyCheck (StringRef CheckName, ClangTidyContext *Context)
| Initializes the check with `CheckName` and `Context`. More...
virtual void | registerPPCallbacks (CompilerInstance &Compiler)
| Override this to register `PPCallbacks` with `Compiler`. More...
DiagnosticBuilder | diag (SourceLocation Loc, StringRef Description, DiagnosticIDs::Level Level=DiagnosticIDs::Warning)
| Add a diagnostic with the check's name. More...
virtual void | storeOptions (ClangTidyOptions::OptionMap &Options)
| Should store all options supported by this check with their current values or default values for options that haven't been overridden. More...

## Additional Inherited Members
Protected Member Functions inherited from clang::tidy::ClangTidyCheck
StringRef | getCurrentMainFile () const
| Returns the main file name of the current translation unit. More...
LangOptions | getLangOpts () const
| Returns the language options from the context. More...
Protected Attributes inherited from clang::tidy::ClangTidyCheck
OptionsView | Options

## Detailed Description

Flags the usages of `else` after `return`.

http://llvm.org/docs/CodingStandards.html#don-t-use-else-after-a-return

Definition at line 22 of file ElseAfterReturnCheck.h.

## Constructor & Destructor Documentation

clang::tidy::readability::ElseAfterReturnCheck::ElseAfterReturnCheck | ( | StringRef | Name,
|  | ClangTidyContext * | Context
| ) |  |
| inline

Definition at line 24 of file ElseAfterReturnCheck.h.

## Member Function Documentation

void clang::tidy::readability::ElseAfterReturnCheck::check | ( | const ast_matchers::MatchFinder::MatchResult & | Result | ) |
| override virtual

`ClangTidyChecks` that register ASTMatchers should do the actual work in here.

Reimplemented from clang::tidy::ClangTidyCheck.

Definition at line 35 of file ElseAfterReturnCheck.cpp.

References clang::tidy::readability::removeToken().

void clang::tidy::readability::ElseAfterReturnCheck::registerMatchers | ( | ast_matchers::MatchFinder * | Finder | ) |
| override virtual

Override this to register ASTMatchers with `Finder`.

This should be used by clang-tidy checks that analyze code properties that dependent on AST knowledge.

You can register as many matchers as necessary with `Finder`. Usually, "this" will be used as callback, but you can also specify other callback classes. Thereby, different matchers can trigger different callbacks.

If you need to merge information between the different matchers, you can store these as members of the derived class. However, note that all matches occur in the order of the AST traversal.

Reimplemented from clang::tidy::ClangTidyCheck.

Definition at line 20 of file ElseAfterReturnCheck.cpp.

The documentation for this class was generated from the following files:

- ElseAfterReturnCheck.h
- ElseAfterReturnCheck.cpp